LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices

Reply
 
Search this Thread
Old 09-24-2011, 06:54 AM   #1
theKbStockpiler
Member
 
Registered: Sep 2009
Location: Central New York
Distribution: Fedora14,Scientific 6.1?, Mandriva 2010 ;GO MAGEIA!!!Next up Gentoo
Posts: 774

Rep: Reputation: 51
Has anyone been able to install abiword on CentOS 6 ?


I'm in dependency hell wondering if there is a better way.
 
Click here to see the post LQ members have rated as the most helpful post in this thread.
Old 09-24-2011, 07:40 AM   #2
macemoneta
Senior Member
 
Registered: Jan 2005
Location: Manalapan, NJ
Distribution: Fedora x86 and x86_64, Debian PPC and ARM, Android
Posts: 4,593
Blog Entries: 2

Rep: Reputation: 326Reputation: 326Reputation: 326Reputation: 326
It should just be:
Code:
yum install abiword
All dependencies should be resolved. What are you trying, and what are you getting?
 
0 members found this post helpful.
Old 09-24-2011, 07:51 AM   #3
theKbStockpiler
Member
 
Registered: Sep 2009
Location: Central New York
Distribution: Fedora14,Scientific 6.1?, Mandriva 2010 ;GO MAGEIA!!!Next up Gentoo
Posts: 774

Original Poster
Rep: Reputation: 51
I'm not presently on CentOS 6 but...

"package not available" A repo for Abiword on CentOS 6 does not exist as far as anyone knows but I really prefer it so I'm asking.
 
Old 09-24-2011, 08:02 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
You are right : No abiword. ... EDIT : See post # 5.

Lots of other packages are not available : It is a server OS.

Like some other packages, the Fedora 12 abiword may be usable,
RHEL 6 / CentOS 6 is based on Fedora 12.

..

Last edited by knudfl; 09-24-2011 at 08:43 AM.
 
1 members found this post helpful.
Old 09-24-2011, 08:34 AM   #5
macemoneta
Senior Member
 
Registered: Jan 2005
Location: Manalapan, NJ
Distribution: Fedora x86 and x86_64, Debian PPC and ARM, Android
Posts: 4,593
Blog Entries: 2

Rep: Reputation: 326Reputation: 326Reputation: 326Reputation: 326
The PUIAS Addon Repository has the packages for Centos 6.
 
2 members found this post helpful.
Old 09-24-2011, 04:33 PM   #6
theKbStockpiler
Member
 
Registered: Sep 2009
Location: Central New York
Distribution: Fedora14,Scientific 6.1?, Mandriva 2010 ;GO MAGEIA!!!Next up Gentoo
Posts: 774

Original Poster
Rep: Reputation: 51
I can't seem to find a guide to install this repo

Has anyone installed puias?
 
Old 09-25-2011, 08:28 PM   #7
theKbStockpiler
Member
 
Registered: Sep 2009
Location: Central New York
Distribution: Fedora14,Scientific 6.1?, Mandriva 2010 ;GO MAGEIA!!!Next up Gentoo
Posts: 774

Original Poster
Rep: Reputation: 51
I got it done without a Package Manager. Thank you Puias Repo!

I'm not exactly sure how I installed it but this is my best recognition.


1- I went here http://pkgs.org/centos-6-rhel-6/puia....i686.rpm.html and downloaded libabiword-2.8.6-3.puias6.i686.rpm - CentOS 6 (RHEL 6) I also downloaded the Rpm for abiword it's self here http://pkgs.org/centos-6-rhel-6/puia....i686.rpm.html

2- Then I copied and pasted the dependencies listed for libabiword into bash and ran yum install. Bash won't run it unless the wanted applications are separated by one space so you have to change the columns to one long sentence.


3- Next I downloaded what my already installed repos could not take care of which was
Quote:
libabiword-2.8.6-3.puias6.i686 requires link-grammar >= 4.2.2
1:libabiword-2.8.6-3.puias6.i686 requires libmathview_frontend_libxml2.so.0
1:libabiword-2.8.6-3.puias6.i686 requires libmathview.so.0
1:libabiword-2.8.6-3.puias6.i686 requires libots-1.so.0
1:libabiword-2.8.6-3.puias6.i686 requires liblink-grammar.so.4
1:libabiword-2.8.6-3.puias6.i686 requires libAiksaurus-1.2.so.0
1:libabiword-2.8.6-3.puias6.i686 requires libAiksaurusGTK-1.2.so.0
from the links on the same page as libabiword.

4- I installed the dependencies at 3 above.

5- I installed libabiword and then abiword that I downloaded in step 1.


I don't know if it is fully function-able but it is installed.

Last edited by theKbStockpiler; 09-27-2011 at 04:36 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Anyone know how to get abiword on CentOS or Redhat 5? ivodat Linux - Software 2 12-04-2009 04:40 AM
cannot install plugin for abiword 2.4 ahurd Linux - Newbie 4 02-22-2009 02:48 PM
AbiWord install problems newgreen Linux - Software 1 08-07-2007 09:05 AM
abiword install problem MrSmee Linux - Software 2 09-25-2003 12:42 PM
abiword make install question synaptical Linux - Software 2 08-19-2003 07:05 PM


All times are GMT -5. The time now is 07:57 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration